Broken package error wineasio-amd64 and wine-rt-amd64 KXStudio

Unofficial support for the KXStudio Linux distribution and applications.
More info at http://kxstudio.linuxaudio.org/

Moderators: khz, MattKingUSA

globetrotterdk
Established Member
Posts: 85
Joined: Sat May 17, 2014 7:22 am

Broken package error wineasio-amd64 and wine-rt-amd64 KXStudio

Postby globetrotterdk » Sat Jun 24, 2017 7:29 pm

I have added the KXStudio repos to Peppermint 8 (Ubuntu 16.04) and am trying to install Wine ASIO and Wine RT. I have enabled 32bit packages just in case, but the recommend libgif4 is uninstallable, which is apparently preventing installation:

Code: Select all

$ sudo apt install wineasio-amd64
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 wineasio-amd64 : Depends: wine-rt-amd64 but it is not going to be installed or
                           wine-staging-amd64 but it is not installable or
                           wine-amd64
E: Unable to correct problems, you have held broken packages.


Code: Select all

$ sudo apt install wine-rt-amd64
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 wine-rt-amd64 : Depends: wine-rt:any (= 2:2.0.1-1~xenial1)
                 Recommends: libgif4 but it is not installable
E: Unable to correct problems, you have held broken packages.
Military justice is to justice what military music is to music. - Groucho Marx

globetrotterdk
Established Member
Posts: 85
Joined: Sat May 17, 2014 7:22 am

Re: Broken package error wineasio-amd64 and wine-rt-amd64 KXStudio

Postby globetrotterdk » Sun Jun 25, 2017 12:30 pm

falkTX wrote:Are you missing the gcc5 repos by any chance?

Thanks for the reply. No.
Military justice is to justice what military music is to music. - Groucho Marx

oddy.o.lynx
Established Member
Posts: 35
Joined: Sat Jun 30, 2018 2:54 am

Debian Buster and WINE is totally broke

Postby oddy.o.lynx » Fri Dec 06, 2019 3:15 am

WINE-STAGING is completely broken for Buster and there are all kinds of issues trying to install WINEASIO via KXStudio new repos


wineasio-amd64:
Depends: wine-rt-amd64 but it is not installable or
wine-staging-amd64 but it is not installable or
wine-amd64 but it is not installable

I am seriously considering going back to Stretch

I have managed to get PlayOnLinux to install WINEASIO

will see if I can hack around and get things to work but this is nightmarish

Route88
Established Member
Posts: 4
Joined: Sun Oct 06, 2013 8:10 pm
Location: Zagreb, Croatia

Re: Broken package error wineasio-amd64 and wine-rt-amd64 KXStudio

Postby Route88 » Mon Dec 09, 2019 8:58 am

Hi,
I am using a pure Debian Buster with KXStudio repos, and have the same problem.
I always had dependency problems installing wine-rt and wineasio on any debian distribution with kxstudio.


Return to “KXStudio Discussion”

Who is online

Users browsing this forum: No registered users and 1 guest